%define name geotiff
%define version 1.1.4
%define release 6mdk

%define major 1
%define libname libgeotiff%major

Name: %name
Summary: Cartographic software
Version: %version
Release: %release
Source: libgeotiff-%{version}.tar.bz2
License: Public Domain / MIT
URL: http://www.remotesensing.com/geotiff/geotiff.html
Group: Sciences/Geosciences
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: libproj0 >= 4.4.3
Requires: %libname-devel

%description
This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation
of GeoTIFF keys in new files. For more information about GeoTIFF
specifications, projection codes and use, see the WWW web page at:

   http://www.remotesensing.com/geotiff/geotiff.html

or at:

   http://www.geotiff.org/

%package -n %libname
Summary: Cartographic software - Libraries
Group: Sciences/Geosciences

%description -n %libname
This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation
of GeoTIFF keys in new files. For more information about GeoTIFF
specifications, projection codes and use, see the WWW web page at:

%package -n %libname-devel
Summary: Cartographic software - Development files
Group: Sciences/Geosciences
License: Public Domain / MIT
Requires: %libname >= 1.1.4
Provides: libgeotiff-devel

%description -n %libname-devel
libgeotiff development files.

%prep

%setup -q -n libgeotiff-%version

%build

%configure --with-proj=%{_libdir} --enable-incode-epsg

make

%install
%makeinstall
chmod 644 $RPM_BUILD_ROOT%{_includedir}/*

cd $RPM_BUILD_ROOT%{_libdir}

ln -sf %{name}.so.%{version} libgeotiff.so 
ln -sf %{name}.so.%{version} libgeotiff.so.1 
ln -sf %{name}.so.%{version} libgeotiff.so.1.1

rm -rf $RPM_BUILD_ROOT%_datadir/*.csv

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%{_bindir}/*
%doc docs/*


%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/*.a

%changelog
* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-6mdk
- rebuild

* Wed Oct 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-5mdk
- fix link

* Mon Sep 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-4mdk
- rebuild

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-3mdk
- rebuild

* Mon Aug 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-2mdk
- rebuild

* Thu Jun 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-1mdk
- added in contribs by Laurent Grawet <laurent.grawet@ibelgique.com>
